# Generated by Django 2.2.6 on 2019-10-09 20:01

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Pulsar',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('PSRB', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Pulsar name.  The B name if exists')),
                ('PSRJ', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Pulsar name.  The B name if exists')),
                ('P0', models.DecimalField(decimal_places=20, default=None, max_digits=22, verbose_name='Barycentric period of the pulsar (s)')),
                ('P1', models.FloatField(blank=True, default=None, null=True, verbose_name='Time derivative of barcycentric period (dimensionless)')),
                ('F0', models.FloatField(blank=True, default=None, null=True, verbose_name='Barycentric rotation frequency (Hz)')),
                ('F1', models.FloatField(blank=True, default=None, null=True, verbose_name='Time derivative of barycentric rotation frequency (s-2)')),
                ('S400', models.FloatField(blank=True, default=None, null=True, verbose_name='Mean flux density at 400 MHz (mJy)')),
                ('S1400', models.FloatField(blank=True, default=None, null=True, verbose_name='Mean flux density at 1400 MHz (mJy)')),
                ('DM', models.FloatField(blank=True, default=None, null=True, verbose_name='Dispersion measure (cm-3 pc)')),
                ('SURVEY', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Surveys that detected the pulsar (discovery survey first).')),
                ('TYPE', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Type codes for the pulsar. Click here for available types.')),
                ('DECJ', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Declination (J2000) (+dd:mm:ss)')),
                ('RAJ', models.CharField(blank=True, default=None, max_length=200, null=True, verbose_name='Right ascension (J2000) (hh:mm:ss.s)')),
            ],
        ),
    ]
